/**
 * Created by aaron on 2020-03-26
 */

rootProject.allprojects { project ->
    if (project.name == 'app') {
        project.afterEvaluate {

            repositories {
                google()
                jcenter()
            }

            configurations.all {
                resolutionStrategy.force rootProject.ext.dependencies.library.appcompat
            }

            dependencies {
                implementation fileTree(dir: 'app/libs', include: ['*.jar', '*.aar'])
                implementation rootProject.ext.dependencies.library.kotlin_stdlib
                implementation rootProject.ext.dependencies.library.recyclerview
                implementation rootProject.ext.dependencies.library.constraintlayout
                implementation rootProject.ext.dependencies.library.koin_scope
                implementation(rootProject.ext.dependencies.library.koin_viewmodel) {
                    exclude group: "android.arch.core", module: "common"
                }
                implementation(rootProject.ext.dependencies.library.koin_ext) {
                    exclude group: "android.arch.core", module: "common"
                }
                implementation rootProject.ext.dependencies.library.ted_permission
                implementation rootProject.ext.dependencies.library.retrofit2_runtime
                implementation rootProject.ext.dependencies.library.retrofit2_rxadapter
                implementation rootProject.ext.dependencies.library.retrofit2_gson
                implementation rootProject.ext.dependencies.library.okhttp
                implementation rootProject.ext.dependencies.library.okhttp_interceptor
                implementation rootProject.ext.dependencies.library.gson
                implementation rootProject.ext.dependencies.library.rxkotlin
                implementation rootProject.ext.dependencies.library.rxandroid
                implementation rootProject.ext.dependencies.library.glide
                testImplementation rootProject.ext.dependencies.test.junit
                androidTestImplementation rootProject.ext.dependencies.test.android_runner
                androidTestImplementation rootProject.ext.dependencies.test.espresso_core
            }
        }
    }
}